Bug 90756 - Fix a potential bug of BitmapImage::frameCount().
Summary: Fix a potential bug of BitmapImage::frameCount().
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Images (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 90375
  Show dependency treegraph
 
Reported: 2012-07-08 23:57 PDT by Dongseong Hwang
Modified: 2012-07-10 15:12 PDT (History)
7 users (show)

See Also:


Attachments
Patch (1.95 KB, patch)
2012-07-09 01:10 PDT, Dongseong Hwang
simon.fraser: review+
webkit.review.bot: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from gce-cr-linux-02 (342.01 KB, application/zip)
2012-07-09 01:44 PDT, WebKit Review Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dongseong Hwang 2012-07-08 23:57:58 PDT
If an ImageDecoder is not yet initialized, m_source.frameCount() returns 0. This does not mean that the frame count is actually 0. So we must set m_haveFrameCount to true only when m_frameCount is not 0.

The current code is okay because BitmapImage::frameCount() is never called before the decoder is initialized. However, this no longer holds true once we introduce parallel image decoders.
Comment 1 Dongseong Hwang 2012-07-09 01:10:17 PDT
Created attachment 151206 [details]
Patch
Comment 2 WebKit Review Bot 2012-07-09 01:43:59 PDT
Comment on attachment 151206 [details]
Patch

Attachment 151206 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/13165201

New failing tests:
http/tests/security/mixedContent/filesystem-url-in-iframe.html
Comment 3 WebKit Review Bot 2012-07-09 01:44:02 PDT
Created attachment 151216 [details]
Archive of layout-test-results from gce-cr-linux-02

The attached test failures were seen while running run-webkit-tests on the chromium-ews.
Bot: gce-cr-linux-02  Port: <class 'webkitpy.common.config.ports.ChromiumXVFBPort'>  Platform: Linux-2.6.39-gcg-201203291735-x86_64-with-Ubuntu-10.04-lucid
Comment 4 Dongseong Hwang 2012-07-09 02:27:28 PDT
It seems the failed layout test is not relevant to my patch.
Comment 5 Dongseong Hwang 2012-07-09 04:15:49 PDT
(In reply to comment #4)
> It seems the failed layout test is not relevant to my patch.

In my computer, the test is passed in chromium port.
Comment 6 Kwang Yul Seo 2012-07-10 04:39:21 PDT
I wonder if the patch needs to be uploaded again if the layout tests failed due to flakyness.
Comment 7 Kwang Yul Seo 2012-07-10 15:12:05 PDT
Committed r122269: <http://trac.webkit.org/changeset/122269>